Bric::Util::Grp::SubelementType - A group of ElementTypes. $LastChangedRevision$ $LastChangedDate: 2005-09-24 00:52:57 +0200 (Sat, 24 Sep 2005) $ use Bric::Util::Grp::SubelementType; This is for holding groups of ElementTypes.

Constructors
Creates a new assettype group. Uses inherited 'new' method. Throws: NONE Side Effects: NONE Notes: NONE Uses inherited 'lookup' method. Throws: NONE Side Effects: NONE Notes: NONE Uses inherited 'list' method. Throws: NONE Side Effects: NONE Notes: NONE

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY

Public Class Methods
This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion Throws: NONE Side Effects: NONE Notes: Overwite this in your sub classes This supplies a package to table name mapping. Throws: NONE Side Effects: NONE Notes: NONE Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once. Throws: NONE. Side Effects: NONE. Notes: NONE. Forces all Objects to be considered as this class. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns a Bric::Util::Class object describing this class. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally. Returns a Bric::Util::Class object describing the members of this group. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally.

Public Instance Methods
NONE.

Private Methods
NONE.

Private Class Methods
NONE

Private Instance Methods
NONE "Garth Webb" <garth@perijove.com> Bricolage Engineering perl, Bric, Bric::Biz::ElementType